这是日志 
检测到 x86_64 架构。
正在确保启动器为最新版本
正在获取 origin
启动器已是最新版本
2.0.20231218-0429: 正在从 discourse/base 拉取
摘要:sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
状态:discourse/base:2.0.20231218-0429 镜像已是最新
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2024-02-13T15:53:16.246900 #1] INFO -- : 正在从 stdin 读取
I, [2024-02-13T15:53:16.252696 #1] INFO -- : > locale-gen $LANG && update-locale
I, [2024-02-13T15:53:16.307073 #1] INFO -- : 正在生成区域设置(这可能需要一些时间)...
生成完成。
I, [2024-02-13T15:53:16.307607 #1] INFO -- : > mkdir -p /shared/postgres_run
I, [2024-02-13T15:53:16.312121 #1] INFO -- :
I, [2024-02-13T15:53:16.312587 #1] INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2024-02-13T15:53:16.315121 #1] INFO -- :
I, [2024-02-13T15:53:16.315619 #1] INFO -- : > chmod 775 /shared/postgres_run
I, [2024-02-13T15:53:16.323987 #1] INFO -- :
I, [2024-02-13T15:53:16.326378 #1] INFO -- : > rm -fr /var/run/postgresql
I, [2024-02-13T15:53:16.328988 #1] INFO -- :
I, [2024-02-13T15:53:16.329854 #1] INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2024-02-13T15:53:16.332078 #1] INFO -- :
I, [2024-02-13T15:53:16.332521 #1] INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres 已在运行,停止容器 ; exit 1
2024/02/13 15:53:16 socat[18] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): 没有那个文件或目录
I, [2024-02-13T15:53:16.339840 #1] INFO -- :
I, [2024-02-13T15:53:16.340132 #1] INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2024-02-13T15:53:16.343461 #1] INFO -- :
I, [2024-02-13T15:53:16.343731 #1] INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2024-02-13T15:53:16.346843 #1] INFO -- :
I, [2024-02-13T15:53:16.347206 #1] INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.349608 #1] INFO -- :
I, [2024-02-13T15:53:16.350691 #1] INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2024-02-13T15:53:16.353506 #1] INFO -- :
I, [2024-02-13T15:53:16.359494 #1] INFO -- : 文件 > /etc/service/postgres/run chmod: +x chown:
I, [2024-02-13T15:53:16.365375 #1] INFO -- : 文件 > /etc/service/postgres/log/run chmod: +x chown:
I, [2024-02-13T15:53:16.372107 #1] INFO -- : 文件 > /etc/runit/3.d/99-postgres chmod: +x chown:
I, [2024-02-13T15:53:16.377498 #1] INFO -- : 文件 > /root/upgrade_postgres chmod: +x chown:
I, [2024-02-13T15:53:16.378862 #1] INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2024-02-13T15:53:16.692303 #1] INFO -- :
I, [2024-02-13T15:53:16.692963 #1] INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2024-02-13T15:53:16.695477 #1] INFO -- :
I, [2024-02-13T15:53:16.695574 #1] INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2024-02-13T15:53:16.704179 #1] INFO -- :
I, [2024-02-13T15:53:16.704482 #1] INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2024-02-13T15:53:16.706831 #1] INFO -- :
I, [2024-02-13T15:53:16.707180 #1] INFO -- : > /root/upgrade_postgres
I, [2024-02-13T15:53:16.711599 #1] INFO -- :
I, [2024-02-13T15:53:16.711931 #1] INFO -- : > rm /root/upgrade_postgres
I, [2024-02-13T15:53:16.713969 #1] INFO -- :
I, [2024-02-13T15:53:16.714387 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 data_directory = '/var/lib/postgresql/13/main' 为 data_directory = '/shared/postgres_data'
I, [2024-02-13T15:53:16.715157 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?listen_addresses *=.*) 为 listen_addresses = '*'
I, [2024-02-13T15:53:16.715649 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?synchronous_commit *=.*) 为 synchronous_commit = $db_synchronous_commit
I, [2024-02-13T15:53:16.716152 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?shared_buffers *=.*) 为 shared_buffers = $db_shared_buffers
I, [2024-02-13T15:53:16.716594 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?work_mem *=.*) 为 work_mem = $db_work_mem
I, [2024-02-13T15:53:16.717080 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?default_text_search_config *=.*) 为 default_text_search_config = '$db_default_text_search_config'
I, [2024-02-13T15:53:16.717514 #1] INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2024-02-13T15:53:16.720690 #1] INFO -- :
I, [2024-02-13T15:53:16.721061 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?checkpoint_segments *=.*) 为 checkpoint_segments = $db_checkpoint_segments
I, [2024-02-13T15:53:16.721587 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?logging_collector *=.*) 为 logging_collector = $db_logging_collector
I, [2024-02-13T15:53:16.722115 #1] INFO -- : 正在替换 /etc/postgresql/13/main/postgresql.conf 中的 (?-mix:#?log_min_duration_statement *=.*) 为 log_min_duration_statement = $db_log_min_duration_statement
I, [2024-02-13T15:53:16.722611 #1] INFO -- : 正在替换 /etc/postgresql/13/main/pg_hba.conf 中的 (?-mix:^#local +replication +postgres +peer$) 为 local replication postgres peer
I, [2024-02-13T15:53:16.723120 #1] INFO -- : 正在替换 /etc/postgresql/13/main/pg_hba.conf 中的 (?-mix:^host.*all.*all.*127.*$) 为 host all all 0.0.0.0/0 md5
I, [2024-02-13T15:53:16.723600 #1] INFO -- : 正在替换 /etc/postgresql/13/main/pg_hba.conf 中的 (?-mix:^host.*all.*all.*::1\/128.*$) 为 host all all ::/0 md5
I, [2024-02-13T15:53:16.724000 #1] INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2024-02-13T15:53:16.725519 #1] INFO -- : > sleep 5
2024-02-13 15:53:16.781 UTC [41] LOG: 正在启动 PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1),架构为 x86_64-pc-linux-gnu,由 gcc (Debian 10.2.1-6) 10.2.1 20210110 编译,64 位
2024-02-13 15:53:16.781 UTC [41] LOG: 正在监听 IPv4 地址 "0.0.0.0",端口 5432
2024-02-13 15:53:16.781 UTC [41] LOG: 正在监听 IPv6 地址 "::",端口 5432
2024-02-13 15:53:16.782 UTC [41] LOG: 正在监听 Unix 套接字 "/var/run/postgresql/.s.PGSQL.5432"
2024-02-13 15:53:16.785 UTC [44] LOG: 数据库系统在 2024-02-13 15:48:24 UTC 已关闭
2024-02-13 15:53:16.789 UTC [41] LOG: 数据库系统已准备好接受连接
I, [2024-02-13T15:53:21.727896 #1] INFO -- :
I, [2024-02-13T15:53:21.728111 #1] INFO -- : > su postgres -c 'createdb discourse' || true
2024-02-13 15:53:21.776 UTC [54] postgres@postgres ERROR: 数据库 "discourse" 已存在
2024-02-13 15:53:21.776 UTC [54] postgres@postgres STATEMENT: CREATE DATABASE discourse;
createdb: 错误:数据库创建失败:ERROR: 数据库 "discourse" 已存在
I, [2024-02-13T15:53:21.778723 #1] INFO -- :
I, [2024-02-13T15:53:21.779150 #1] INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2024-02-13 15:53:21.826 UTC [58] postgres@discourse ERROR: 角色 "discourse" 已存在
2024-02-13 15:53:21.826 UTC [58] postgres@discourse STATEMENT: create user discourse;
ERROR: 角色 "discourse" 已存在
I, [2024-02-13T15:53:21.828690 #1] INFO -- :
I, [2024-02-13T15:53:21.829194 #1] INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2024-02-13T15:53:21.877296 #1] INFO -- : GRANT
I, [2024-02-13T15:53:21.877827 #1] INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2024-02-13T15:53:21.923831 #1] INFO -- : ALTER SCHEMA
I, [2024-02-13T15:53:21.924354 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE: 扩展 "hstore" 已存在,跳过
I, [2024-02-13T15:53:21.973321 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:21.973764 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE: 扩展 "pg_trgm" 已存在,跳过
I, [2024-02-13T15:53:22.020006 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:22.020399 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE: 扩展 "vector" 已存在,跳过
I, [2024-02-13T15:53:22.066198 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:22.066595 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE: 扩展 "hstore" 已存在,跳过
I, [2024-02-13T15:53:22.113659 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:22.114161 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE: 扩展 "pg_trgm" 已存在,跳过
I, [2024-02-13T15:53:22.160614 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:22.161045 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE: 扩展 "vector" 已存在,跳过
I, [2024-02-13T15:53:22.207237 #1] INFO -- : CREATE EXTENSION
I, [2024-02-13T15:53:22.207679 #1] INFO -- : > sudo -u postgres psql discourse
I, [2024-02-13T15:53:22.209671 #1] INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');
I, [2024-02-13T15:53:22.261951 #1] INFO -- : 文件 > /var/lib/postgresql/take-database-backup chmod: +x chown: postgres:postgres
I, [2024-02-13T15:53:22.264984 #1] INFO -- : 文件 > /var/spool/cron/crontabs/postgres chmod: chown:
I, [2024-02-13T15:53:22.265327 #1] INFO -- : > echo postgres 已安装!
I, [2024-02-13T15:53:22.267453 #1] INFO -- : postgres 已安装!
I, [2024-02-13T15:53:22.272193 #1] INFO -- : 文件 > /etc/service/redis/run chmod: +x chown:
I, [2024-02-13T15:53:22.276936 #1] INFO -- : 文件 > /etc/service/redis/log/run chmod: +x chown:
I, [2024-02-13T15:53:22.281502 #1] INFO -- : 文件 > /etc/runit/3.d/10-redis chmod: +x chown:
I, [2024-02-13T15:53:22.282039 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 daemonize yes 为
I, [2024-02-13T15:53:22.282826 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 (?-mix:^pidfile.*$) 为
I, [2024-02-13T15:53:22.283472 #1] INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2024-02-13T15:53:22.286162 #1] INFO -- :
I, [2024-02-13T15:53:22.286601 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 (?-mix:^logfile.*$) 为 logfile ""
I, [2024-02-13T15:53:22.287267 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 (?-mix:^bind .*$) 为
I, [2024-02-13T15:53:22.287960 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 (?-mix:^dir .*$) 为 dir /shared/redis_data
I, [2024-02-13T15:53:22.288617 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 (?-mix:^protected-mode yes) 为 protected-mode no
I, [2024-02-13T15:53:22.289234 #1] INFO -- : 正在替换 /etc/redis/redis.conf 中的 # io-threads 4 为 io-threads $redis_io_threads
I, [2024-02-13T15:53:22.289926 #1] INFO -- : > echo redis 已安装
I, [2024-02-13T15:53:22.292006 #1] INFO -- : redis 已安装
I, [2024-02-13T15:53:22.292329 #1] INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2024-02-13T15:53:22.295949 #1] INFO -- : logfile ""
I, [2024-02-13T15:53:22.296274 #1] INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:22.297844 #1] INFO -- : > sleep 10
110:C 13 Feb 2024 15:53:22.304 # oO0OoO0OoO0Oo Redis 正在启动 oO0OoO0OoO0Oo
110:C 13 Feb 2024 15:53:22.304 # Redis 版本=7.0.7, bits=64, commit=00000000, modified=0, pid=110, 刚刚启动
110:C 13 Feb 2024 15:53:22.304 # 配置已加载
110:M 13 Feb 2024 15:53:22.304 * 单调时钟:POSIX clock_gettime
110:M 13 Feb 2024 15:53:22.305 * 运行模式=独立,端口=6379。
110:M 13 Feb 2024 15:53:22.305 # 服务器已初始化
110:M 13 Feb 2024 15:53:22.305 # 警告:必须启用内存超用!如果没有启用,在低内存条件下后台保存或复制可能会失败。如果禁用了它,即使没有低内存条件也可能导致失败,参见 https://github.com/jemalloc/jemalloc/issues/1328。要修复此问题,请将 'vm.overcommit_memory = 1' 添加到 /etc/sysctl.conf 并重启,或运行命令 'sysctl vm.overcommit_memory=1' 使其生效。
110:M 13 Feb 2024 15:53:22.306 * 正在加载由版本 7.0.7 生成的 RDB
110:M 13 Feb 2024 15:53:22.306 * RDB 年龄 298 秒
110:M 13 Feb 2024 15:53:22.306 * 创建时 RDB 内存使用量为 0.82 Mb
110:M 13 Feb 2024 15:53:22.306 * RDB 加载完成,已加载键:0,已过期键:0。
110:M 13 Feb 2024 15:53:22.306 * 从磁盘加载数据库耗时:0.000 秒
110:M 13 Feb 2024 15:53:22.306 * 已准备好接受连接
I, [2024-02-13T15:53:32.300210 #1] INFO -- :
I, [2024-02-13T15:53:32.300803 #1] INFO -- : > thpoff echo "thpoff 已安装!"
I, [2024-02-13T15:53:32.304805 #1] INFO -- : thpoff 已安装!
I, [2024-02-13T15:53:32.304942 #1] INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "中止!邮件未配置!"; exit 1; end'
I, [2024-02-13T15:53:32.368184 #1] INFO -- :
I, [2024-02-13T15:53:32.368695 #1] INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "中止!域名未配置!"; exit 1; end'
I, [2024-02-13T15:53:32.434552 #1] INFO -- :
I, [2024-02-13T15:53:32.434724 #1] INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "中止!CDN 必须指定协议。修复后,您现在应重新烘焙帖子以更正所有帖子。"; exit 1; end'
I, [2024-02-13T15:53:32.498595 #1] INFO -- :
I, [2024-02-13T15:53:32.499227 #1] INFO -- : > rm -f /etc/cron.d/anacron
I, [2024-02-13T15:53:32.501910 #1] INFO -- :
I, [2024-02-13T15:53:32.505124 #1] INFO -- : 文件 > /etc/cron.d/anacron chmod: chown:
I, [2024-02-13T15:53:32.510067 #1] INFO -- : 文件 > /etc/runit/1.d/copy-env chmod: +x chown:
I, [2024-02-13T15:53:32.514952 #1] INFO -- : 文件 > /etc/service/unicorn/run chmod: +x chown:
I, [2024-02-13T15:53:32.519761 #1] INFO -- : 文件 > /etc/service/nginx/run chmod: +x chown:
I, [2024-02-13T15:53:32.524574 #1] INFO -- : 文件 > /etc/runit/3.d/01-nginx chmod: +x chown:
I, [2024-02-13T15:53:32.529357 #1] INFO -- : 文件 > /etc/runit/3.d/02-unicorn chmod: +x chown:
I, [2024-02-13T15:53:32.529698 #1] INFO -- : 正在替换 /etc/service/unicorn/run 中的 # postgres 为 sv start postgres || exit 1
I, [2024-02-13T15:53:32.530197 #1] INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2024-02-13T15:53:32.532289 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
137:C 13 Feb 2024 15:53:32.538 # oO0OoO0OoO0Oo Redis 正在启动 oO0OoO0OoO0Oo
137:C 13 Feb 2024 15:53:32.538 # Redis 版本=7.0.7, bits=64, commit=00000000, modified=0, pid=137, 刚刚启动
137:C 13 Feb 2024 15:53:32.538 # 配置已加载
137:M 13 Feb 2024 15:53:32.539 * 单调时钟:POSIX clock_gettime
137:M 13 Feb 2024 15:53:32.539 # 警告:无法创建服务器 TCP 监听套接字 *:6379: bind: 地址已在使用
137:M 13 Feb 2024 15:53:32.539 # 无法监听端口 6379 (TCP),正在中止。
正在更新文件:100% (33715/33715),完成。
I, [2024-02-13T15:53:35.419705 #1] INFO -- : HEAD 现在位于 6ab1a19e9 DEV: Convert min_trust_level_to_allow_invite to groups (#24893)
I, [2024-02-13T15:53:35.420216 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2024-02-13T15:53:35.560612 #1] INFO -- :
I, [2024-02-13T15:53:35.561174 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
'
fatal: 无法访问 'https://github.com/discourse/discourse.git/':无法解析主机 github.com
I, [2024-02-13T15:53:35.598327 #1] INFO -- :
I, [2024-02-13T15:53:35.598890 #1] INFO -- : 正在终止异步进程
I, [2024-02-13T15:53:35.599177 #1] INFO -- : 正在向 HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main 发送 INT,pid: 41
2024-02-13 15:53:35.599 UTC [41] LOG: 收到快速关闭请求
I, [2024-02-13T15:53:35.599227 #1] INFO -- : 正在向 exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf 发送 TERM,pid: 110
110:signal-handler (1707839615) 收到 SIGTERM,正在计划关闭...
2024-02-13 15:53:35.601 UTC [41] LOG: 中止任何活跃事务
2024-02-13 15:53:35.604 UTC [41] LOG: 后台工作进程 "logical replication launcher" (PID 50) 以退出代码 1 退出
2024-02-13 15:53:35.606 UTC [45] LOG: 正在关闭
2024-02-13 15:53:35.624 UTC [41] LOG: 数据库系统已关闭
110:M 13 Feb 2024 15:53:35.636 # 用户请求关闭...
110:M 13 Feb 2024 15:53:35.636 * 正在保存退出前的最终 RDB 快照。
110:M 13 Feb 2024 15:53:35.637 * 数据库已保存到磁盘
110:M 13 Feb 2024 15:53:35.637 # Redis 现在已准备好退出,再见...
失败
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
' 失败,返回值为 #<Process::Status: pid 145 exit 128>
失败位置:/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
执行失败,参数如下:{"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin $version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p /shared/log/rails", "bash -c \"touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p /shared/{uploads,backups}\"", "bash -c \"ln -s /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p /shared/tmp/{backups,restores}\"", "bash -c \"ln -s /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
引导失败,退出代码为 128
** 引导失败 ** 请向上滚动并查找早期的错误消息,可能不止一条。
./discourse-doctor 可能有助于诊断问题。
cd258fa1982eed2b6c739bbddfe034ff3daa43b838b89fa1b0237b7804664b6